Note: All code examples below are tested and match the working Domo app
UI. Use
domo.* methods for all API calls except File upload/download, which
require fetch for binary or FormData support.Get File by Path
Method:GETEndpoint:
/domo/files/v1/filesets/{documentCollectionId}/path?path={filePath}
Path Parameters:
- Javascript (domo.get)
- Javascript (fetch)
Get File by Id
Method:GETEndpoint:
/domo/files/v1/filesets/{documentCollectionId}/files/{fileId}
Path Parameters:
- Javascript (domo.get)
- Javascript (fetch)
Download File by Id
Method:GETEndpoint:
/domo/files/v1/filesets/{documentCollectionId}/files/{fileId}/download
Path Parameters:
Note: Usefetchfor File downloads.domo.getdoes not support binary downloads.
- Javascript (fetch)
- Returns the File contents as a download (binary/text stream).
Query Files
Method:POSTEndpoint:
/domo/files/v1/filesets/{documentCollectionId}/query
Path Parameters:
Request Body Parameters:
- Javascript (domo.post)
- Javascript (fetch)
Upload File
Method:POSTEndpoint:
/domo/files/v1/filesets/{documentCollectionId}/files
Path Parameters:
Note: Usefetchfor file uploads. Always set the file content type totext/plainfor text files, as in the app code.
- Javascript (fetch)
Search Files in Document Collection
Method:POSTEndpoint:
/domo/files/v1/filesets/{documentCollectionId}/files/search
Path Parameters:
Query Parameters:
Request Body Parameters:
Filter Object Properties:
FieldSort Object Properties:
DateFilter Object Properties:
- Javascript (domo.post)
- Javascript (fetch)
Delete Files by Path
Method:DELETEEndpoint:
/domo/files/v1/filesets/{documentCollectionId}/path?path={filePath}
Path Parameters:
- Javascript (domo.delete)
- Javascript (fetch)
Delete File by Id
Method:DELETEEndpoint:
/domo/files/v1/filesets/{documentCollectionId}/files/{fileId}
Path Parameters:
- Javascript (domo.delete)
- Javascript (fetch)
Search Document Collections
Method:POSTEndpoint:
/domo/files/v1/filesets/search
Query Parameters:
Note: To list all Document Collections, send an empty object as the body. To filter, provide filter parameters in the body.Request Body Parameters:
Filter Object Properties:
FieldSort Object Properties:
DateFilter Object Properties:
- Javascript (domo.post)
- Javascript (fetch)
Create Document Collection
Method:POSTEndpoint:
/domo/files/v1/filesets
Request Body Parameters:
ConnectorContext Object Properties:
- Javascript (domo.post)
- Javascript (fetch)
Get Document Collection by Id
Method:GET
Endpoint: /domo/files/v1/filesets/{documentCollectionId}
Path Parameters:
- Javascript (domo.get)
- Javascript (fetch)
Update Document Collection by Id
Method:POSTEndpoint:
/domo/files/v1/filesets/{documentCollectionId}
Path Parameters:
Request Body Parameters:
- Javascript (domo.post)
- Javascript (fetch)
Delete Document Collection by Id
Method:DELETEEndpoint:
/domo/files/v1/filesets/{documentCollectionId}
Path Parameters:
- Javascript (domo.delete)
- Javascript (fetch)